CREATE TABLE msc_catalog_categories (
    CATEGORY_SET_ID       NUMBER(18, 0)     NOT NULL,
    CATEGORY_ID           NUMBER(18, 0) ,
    PARENT_CATEGORY_ID    NUMBER(18, 0) ,
    CATEGORY_NAME         VARCHAR2(1000)    NOT NULL,
    DESCRIPTION           VARCHAR2(960) ,
    START_DATE_ACTIVE     DATE          ,
    END_DATE_ACTIVE       DATE          ,
    DELETED_FLAG          NUMBER(2, 0)      NOT NULL,
    CREATED_BY            VARCHAR2(256)     NOT NULL,
    CREATION_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128) ,
    REFRESH_NUMBER        NUMBER(18, 0) ,
    CATEGORY_CODE         VARCHAR2(3280),
    CATEGORY_SET_ID       NUMBER(18, 0)     NOT NULL,
    CATEGORY_ID           NUMBER(18, 0) ,
    PARENT_CATEGORY_ID    NUMBER(18, 0) ,
    CATEGORY_NAME         VARCHAR2(1000)    NOT NULL,
    DESCRIPTION           VARCHAR2(960) ,
    START_DATE_ACTIVE     DATE          ,
    END_DATE_ACTIVE       DATE          ,
    DELETED_FLAG          NUMBER(2, 0)      NOT NULL,
    CREATED_BY            VARCHAR2(256)     NOT NULL,
    CREATION_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128) ,
    REFRESH_NUMBER        NUMBER(18, 0) ,
    CATEGORY_CODE         VARCHAR2(3280),
    CONSTRAINT pk_msc_catalog_categories PRIMARY KEY (CATEGORY_ID, CATEGORY_ID)
);
